## org.codehaus.groovy.grails.orm.hibernate.metaclass
Class FindWherePersistentMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
          org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractStaticPersistentMethod
              org.codehaus.groovy.grails.orm.hibernate.metaclass.FindWherePersistentMethod

All Implemented Interfaces:
  StaticMethodInvocation

    public class FindWherePersistentMethod

extends AbstractStaticPersistentMethod

The "findWhere" persistent static method. This method takes a map with the keys being the property names and the values being the values of those properties and locates an instance that matches the criteria. eg. Account.findWhere( [ "holder":"Joe Bloggs", branch:"London" ] );

Author:
  Graeme Rocher

Constructor Summary
`FindWherePersistentMethod(org.hibernate.SessionFactory sessionFactory, ClassLoader classLoader)`

Method Summary
`protected Object` `doInvokeInternal(Class clazz, String methodName, Object[] arguments)`

Methods inherited from class org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractStaticPersistentMethod
`getHibernateTemplate, invoke`

Methods inherited from class org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
`getPattern, isMethodMatch, setPattern, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FindWherePersistentMethod

    public FindWherePersistentMethod(org.hibernate.SessionFactory sessionFactory,
                                     ClassLoader classLoader)

Method Detail

### doInvokeInternal

    protected Object doInvokeInternal(Class clazz,
                                      String methodName,
                                      Object[] arguments)

  Specified by:
    `doInvokeInternal` in class `AbstractStaticPersistentMethod`

Copyright (c) 2005-2006 The Grails project